#include <stdio.h>
#include <stdlib.h>
#include "s2plot.h"

int main(int argc, char *argv[])
{
   char xopt[] = "BCDETMNOPQ";
   char yopt[] = "BCDETMNOPQ";
   char zopt[] = "BCDETMNOPQ";

   s2opend("/?",argc, argv);			/* Open the display */
   s2swin(-1.,1., -1.,1., -1.,1.);		/* Set the window coordinates */
   s2box(xopt, 0,0, yopt, 0,0, zopt, 0,0);	/* Draw the coordinate box */
   s2lab("X-axis","Y-axis","Z-axis","Plot");	/* Write some labels */

   float x1 = -0.8, x2 = +0.8;			/* Box coordinates */
   float y1 = -0.8, y2 = +0.8;
   float z1 = -0.8, z2 = +0.8;

   s2sci(S2_PG_RED);

   s2wcube(x1,x2, y1,y2, z1,z2);

   s2show(1);					/* Open the s2plot window */
   
   return 1;
}
